Bug 492065 - [TAHI] IPv6 interface table test failed for RFC 4293.
[TAHI] IPv6 interface table test failed for RFC 4293.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 04:53 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 09:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2009-03-25 04:53:22 EDT
Description of problem:
ipv6InterfaceIdentifier Object test failed.

Version-Release number of selected component (if applicable):
net-snmp-5.4.2.1-7.fc11.i386 
net-libs-5.4.2.1-7.fc11.i386 


How reproducible:
always

Steps to Reproduce:
You may refer to http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F11-alpha/MIB/MIB_RFC4293_InterfaceTable.html for test steps.

Actual results:
This test case failed, there is no response for ipAddressSpinLock Object. you may refer to the log file at:http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F11-alpha/MIB/7.html.

Expected results:
The test case should pass.

Additional info:
you may refer to snmpd.conf and rc.local for my configuration.
cat snmpd.conf
#sec.name source community
com2sec local default public
com2sec6 local default public
com2sec mynet 192.168.0.0/24 public
com2sec6 mynet 3ffe:501:ffff:100::/64 public
rwcommunity public
#rwcommunity6 public
agentaddress udp6:161
agentaddress udp:161
#trapcommunity public
agentaddress udp6:162
#agentaddress udp:162
#trapsink   192.168.0.20:162 	public
#trap2sink udp6:[::1]:162 public
#createUser ipv6dod MD5 ipv6dodtest DES ipv6dodtestother
#rocommunity public 192.168.0.20
#rocommunity public 3ffe:501:ffff:100::20
#rocommunity public 192.168.0.20
#snmpsink  localhost public
#snmp2sink  localhost public
#authtrapenable 0 
#snmp2sink 3ffe:501:ffff:100::20 public
#snmp2sink 192.168.0.20 public
# sec.model sec.name
group mygroup v1 mynet
group mygroup v2c mynet
group mygroup usm mynet
group local v1 local
group local v2c local
group local usm local

# Second, map the security name into a group name:
group   groupv3        usm          ipv6dod

# incl/excl subtree mask
view all included .1.3.6
view all included .1 80
view mib2 included .iso.org.dod.internet.mgmt.mib-2 fc

view all	included  .iso   80

# context sec.model sec.level prefix read write notify
access mygroup "" any noauth exact mib2 none none
access local "" any noauth exact all all all
access groupv3 "" any auth exact all all all

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:
syslocation raycom office, Redhat China Research and Development Centre
syscontact Zhiyong Wu  "zwu@redhat.com"
sysServices 72

cat rc.local

#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local

ifup eth1
snmpset -v2c -c public localhost nsCacheTimeout.1.3.6.1.2.1.4.35 i 0
snmpset -v2c -c public localhost nsCacheTimeout.1.3.6.1.2.1.5.29 i 0
Comment 1 Shirley Zhou 2009-03-25 23:33:51 EDT
This test case passed in RHEL5.3, you may check test result at:http://focus.bne.redhat.com/~jiabwang/IPV6Ready-Test/snmp/ct-snmpv2c-ag-1.0.1_k128_third_20090318/MIB/7.html.
Thanks.
Comment 2 Shirley Zhou 2009-05-26 23:55:28 EDT
Any update for this issue?
Comment 3 Bug Zapper 2009-06-09 08:36:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan Safranek 2009-06-11 07:54:36 EDT
The ipv6InterfaceIdentifier is fixed in current development branch of Net-SNMP upstream code, I am just waiting when they release 5.5 version. I do not want to spoil Fedora CVS with lot of patches. It should happen soon, there is testing prerelease already available.
Comment 5 Jan Safranek 2009-10-01 09:14:09 EDT
I have just submitted net-snmp-5.5 to soon-to-be-rawhide. Please note that current rawhide is frozen and shows content for Fedora 12, where is still net-snmp-5.4. Before rawhide gets unfrozen and shows content for Fedora 13, you can find the net-snmp-5.5 packages in Koji at http://kojipkgs.fedoraproject.org/packages/net-snmp/5.5/1.fc13/

Note You need to log in before you can comment on or make changes to this bug.